<div class="primitives-container" *ngIf="primitiveEntities">
  <ng-container *ngIf="primitivesLoaded; else loading">
    <ng-container *ngIf="primitiveEntities.length > 0">
      <div
        class="prediction-scores"
        *ngFor="let primitive of primitiveEntities"
      >
        <div class="prediction-score-label">{{ primitive.title }}</div>
        <div class="segmentation-area">
          Area: {{ primitive.area | number: "1.2-2" }}
        </div>
        <app-result-item
          *ngFor="let item of primitive.scores"
          [primitiveEntity]="item"
          [classEntities]="classEntities"
        >
        </app-result-item>
      </div>
    </ng-container>
  </ng-container>
  <ng-template #loading>
    <div class="primitives-loading-indicator">
      <mat-spinner diameter="40"></mat-spinner>
      <p>Loading results...</p>
    </div>
  </ng-template>
</div>
